# cv::VecWriterProxy< _Tp, 1 > Class Template Reference

`#include <operations.hpp>`

List of all members.

## Public Member Functions

void | operator() (const vector< _Tp > &vec) const
| VecWriterProxy (FileStorage *_fs)

## Public Attributes

FileStorage * | fs

### template<typename _Tp>
class cv::VecWriterProxy< _Tp, 1 >

## Constructor & Destructor Documentation

template<typename _Tp >

cv::VecWriterProxy< _Tp, 1 >::VecWriterProxy | ( | FileStorage * | _fs ) | `[inline]`

## Member Function Documentation

template<typename _Tp >

void cv::VecWriterProxy< _Tp, 1 >::operator() | ( | const vector< _Tp > & | vec ) | const`[inline]`

## Member Data Documentation

template<typename _Tp >

FileStorage* cv::VecWriterProxy< _Tp, 1 >::fs

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines